=== debian/changelog ===
elogind (255.4.1-3.0antix1) unstable; urgency=medium

  * very minor version change 

 -- anticapitalista <antix@operamail.com>  Sun, 28 Apr 2024 19:31:30 +0300

elogind (255.4.1-3antix1) unstable; urgency=medium

  * Build for antiX
  * Change runit service exec path
  * Add symlink for runit service backwards compatibility

 -- abc-nix  Fri, 26 Apr 2024 08:28:22 +0200

elogind (255.4.1-3) unstable; urgency=medium

  * d/changelog: correct email address in previous entry.
  * d/watch: update to handle new upstream tag format (e.g 255.4-r1).
  * Import upstream patch to fix meson setting of libexecdir.
  * d/rules: don't need to specify default udevrulesdir.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 16 Apr 2024 07:32:53 +0100

elogind (255.4.1-1debian2) unstable; urgency=medium

  * Import upstream patch to fix meson setting of libexecdir.
  * d/rules: don't need to specify default udevrulesdir.

 -- Mark Hindley <leepen@debian.org>  Tue, 16 Apr 2024 08:00:52 +0100

elogind (255.4.1-1debian1) unstable; urgency=medium

  * New upstream version.
    - includes fixed sd_listen_fds(3) manpage (Closes: #1050561).
  * d/p: refresh patches and remove one applied upstream.
  * d/rules:
    - change meson boolean argument from true to enabled.
    - remove split-/usr configuration.
  * d/control: bump Standards Version (no changes).
  * d/*.install: update for merged-/usr.
  * d/elogind.init: update as binary is now installed in /usr/libexec.
  * d/elogind.install: include sleep.conf.d and fragments.
  * d/libelogind-dev.links: move unversioned link below /usr.

 -- Mark Hindley <leepen@debian.org>  Sun, 14 Apr 2024 14:21:19 +0100

elogind (252.9-1debian3) unstable; urgency=medium

  * d/control: add Build-Depends: libmount-dev to fix nocheck build.
    (Closes: #1059028)

 -- Mark Hindley <leepen@debian.org>  Tue, 26 Dec 2023 17:26:30 +0000

elogind (252.9-1debian2) unstable; urgency=medium

  * d/changelog: add retrospective closes for #1051439.
  * Add elogind README.Debian.
  * d/elogind.postinst: fix typo in header comment.
  * d/elogind.postinst: reword libelogind0 -> libsystemd0 messages
  * d/elogind.postinst: use start-stop-daemon with retry to stop running
    DBus services.
  * d/p: Fix meson multiline string warning.

 -- Mark Hindley <leepen@debian.org>  Mon, 13 Nov 2023 18:28:27 +0000

elogind (252.9-1debian1) experimental; urgency=medium

  * New upstream version 252.9
    - includes arch:loongarch64 support (Closes: #1051439).
  * Remove unnecessary build-depends.
  * d/gbp.conf: update upstream-tag format.
  * d/patches:
    - rename for consistency and add headers
    - new patch to use libsystemd0 compatible cgroups.
    - new patch to fixup rpath for executables: shared lib is installed
      in rootlibexecdir.
    - refresh
    - drop patch applied upstream
  * d/control:
    - elogind depends libsystemd0 and conflicts libelogind0 (Closes: #1052064).
    - remove obsolete lsb-base dependency.
    - Update VCs-* following gitea migration.
  * d/elogind.install:
    - add private lib, now in /lib/<triplet>/elogind.
    - d/elogind.install: include /etc/elogind/sleep.conf.
  * d/not-installed: update pam.d/elogind-user path.
  * d/elogind.postinst: on upgrade, kill polkitd to ensure it utilises
    libsystemd0.

 -- Mark Hindley <leepen@debian.org>  Sun, 05 Nov 2023 16:31:54 +0000
