=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%,dversionmangle=s/-r\([0-9]\+\)/\1/" \
 https://github.com/elogind/elogind/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
