=== debian/changelog ===
elogind (255.5-2.0antix1) unstable; urgency=medium

  * Build for antiX (with runit service)

 -- abc-nix  Mon, 27 May 2024 18:18:27 +0200

elogind (255.5-2) unstable; urgency=medium

  * d/NEWS: add entry about changed default for suspend.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 01 May 2024 19:11:14 +0100

elogind (255.5-1) unstable; urgency=medium

  * New upstream version.
  * d/watch: really fix -- uscan uses PCRE.
  * Drop patch fixed upstream.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 01 May 2024 12:45:13 +0100

elogind (255.4.1-2) unstable; urgency=medium

  * d/changelog: typo.
  * d/control: bump Standards Version (no changes).

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 15 Apr 2024 16:00:02 +0100

elogind (255.4.1-1) unstable; urgency=medium

  * New upstream version.

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 14 Apr 2024 10:58:08 +0100
