=== meson_options.txt ===
# -*- mode: meson -*-
# SPDX-License-Identifier: LGPL-2.1-or-later

option('version-tag', type : 'string',
       description : 'override the git version string')
option('shared-lib-tag', type : 'string',
       description : 'override the private shared library version tag (defaults to project version)')

option('mode', type : 'combo', choices : ['developer', 'release'],
       description : 'autoenable features suitable for elogind development/release builds')

option('split-usr', type : 'combo', choices : ['auto', 'true', 'false'], deprecated: true,
       description : '''This option is deprecated and will be removed in a future release''')
option('split-bin', type : 'combo', choices : ['auto', 'true', 'false'],
       description : '''sbin is not a symlink to bin''')
#if 0 /// UNNEEDED by elogind
# option('rootlibdir', type : 'string', deprecated: true,
#        description : '''This option is deprecated and will be removed in a future release''')
# option('rootprefix', type : 'string', deprecated: true,
#        description : '''This option is deprecated and will be removed in a future release''')
# option('link-udev-shared', type : 'boolean',
#        description : 'link systemd-udevd and its helpers to libsystemd-shared.so')
# option('link-executor-shared', type : 'boolean',
#        description : 'link elogind-executor to libelogind-shared.so and libelogind-core.so')
# option('link-systemctl-shared', type: 'boolean',
#        description : 'link systemctl against libsystemd-shared.so')
# option('link-networkd-shared', type: 'boolean',
#        description : 'link systemd-networkd and its helpers to libsystemd-shared.so')
# option('link-timesyncd-shared', type: 'boolean',
#        description : 'link systemd-timesyncd and its helpers to libsystemd-shared.so')
# option('link-journalctl-shared', type: 'boolean',
#        description : 'link journalctl against libsystemd-shared.so')
# option('link-boot-shared', type: 'boolean',
#        description : 'link bootctl and systemd-bless-boot against libsystemd-shared.so')
# option('link-portabled-shared', type: 'boolean',
#        description : 'link systemd-portabled and its helpers to libsystemd-shared.so')
# option('first-boot-full-preset', type: 'boolean', value: false,
#        description : 'during first boot, do full preset-all (default will be changed to true later)')
#endif // 0

option('static-libelogind', type : 'combo',
       choices : ['false', 'true', 'pic', 'no-pic'],
#if 0 /// UNNEEDED by elogind
#        description : '''install a static library for libsystemd''')
# option('static-libudev', type : 'combo',
#        choices : ['false', 'true', 'pic', 'no-pic'],
#        description : 'install a static library for libudev')
# option('standalone-binaries', type : 'boolean', value : false,
#        description : 'also build standalone versions of supported binaries')
#
# option('sysvinit-path', type : 'string', value : '/etc/init.d',
#        description : 'the directory where the SysV init scripts are located')
# option('sysvrcnd-path', type : 'string', value : '/etc/rc.d',
#        description : 'the base directory for SysV rcN.d directories')
# option('telinit-path', type : 'string', value : '/lib/sysvinit/telinit',
#        description : 'path to telinit')
# option('rc-local', type : 'string',
#        value : '/etc/rc.local')
# option('initrd', type : 'boolean',
#        description : 'install services for use when running systemd in initrd')
# option('compat-mutable-uid-boundaries', type : 'boolean', value : false,
#        description : 'look at uid boundaries in /etc/login.defs for compatibility')
# option('nscd', type : 'boolean',
#        description : 'build support for flushing of the nscd caches')
#
# option('quotaon-path', type : 'string', description : 'path to quotaon')
# option('quotacheck-path', type : 'string', description : 'path to quotacheck')
# option('kmod-path', type : 'string', description : 'path to kmod')
#else // 0
       description : '''install a static library for libelogind''')

# And because elogind depends on external udev, it must be
# configurable as well.
option('udevrulesdir', type : 'string',
       description : '''directory for udev rules files''')

option('udevbindir', type : 'string',
       description : '''directory for udev binary files''')

# We are nice and make the html path configurable
option('htmldir', type : 'string', description : 'path where to install the HTML documentation.')

# We have no systemd-shutdown binary, so we need 'halt', 'reboot' and 'poweroff'
option('halt-path', type : 'string', description : 'path to halt')
option('poweroff-path', type : 'string', description : 'path to poweroff')
option('reboot-path', type : 'string', description : 'path to reboot')
#endif // 0
option('kexec-path', type : 'string', description : 'path to kexec')
#if 0 /// UNNEEDED by elogind
# option('sulogin-path', type : 'string', description : 'path to sulogin')
# option('mount-path', type : 'string', description : 'path to mount')
# option('umount-path', type : 'string', description : 'path to umount')
# option('loadkeys-path', type : 'string', description : 'path to loadkeys')
# option('setfont-path', type : 'string', description : 'path to setfont')
#endif // 0
option('nologin-path', type : 'string', description : 'path to nologin')

#if 0 /// UNNEEDED by elogind
# option('debug-shell', type : 'string', value : '/bin/sh',
#        description : 'path to debug shell binary')
# option('debug-tty', type : 'string', value : '/dev/tty9',
#        description : 'specify the tty device for debug shell')
# option('debug-extra', type : 'array', choices : ['hashmap', 'mmap-cache', 'siphash'], value : [],
#        description : 'enable extra debugging')
#else // 0
option('debug-extra', type : 'array', choices : ['elogind', 'hashmap', 'siphash'], value : [],
       description : 'enable extra debugging')
#endif // 0
#if 0 /// UNNEEDED by elogind
# option('memory-accounting-default', type : 'boolean',
#        description : 'enable MemoryAccounting= by default')
# option('bump-proc-sys-fs-file-max', type : 'boolean',
#        description : 'bump /proc/sys/fs/file-max to LONG_MAX')
# option('bump-proc-sys-fs-nr-open', type : 'boolean',
#        description : 'bump /proc/sys/fs/nr_open to INT_MAX')
#endif // 0
option('log-trace', type : 'boolean', value : false,
       description : 'enable low level debug logging')
option('user-path', type : 'string',
       description : '$PATH to use for user sessions')

option('utmp', type : 'boolean',
       description : 'support for utmp/wtmp log handling')
#if 0 /// UNNEEDED by elogind
# option('hibernate', type : 'boolean',
#        description : 'support for hibernation')
# option('ldconfig', type : 'boolean',
#        description : 'support for dynamic linker cache creation')
# option('resolve', type : 'boolean',
#        description : 'systemd-resolved stack')
# option('efi', type : 'boolean',
#        description : 'enable EFI support')
# option('tpm', type : 'boolean',
#        description : 'TPM should be used to log events and extend the registers')
# option('environment-d', type : 'boolean',
#        description : 'support for environment.d')
# option('binfmt', type : 'boolean',
#        description : 'support for custom binary formats')
# option('repart', type : 'feature', deprecated : { 'true' : 'enabled', 'false' : 'disabled' },
#        description : 'install the systemd-repart tool')
# option('sysupdate', type : 'feature', deprecated : { 'true' : 'enabled', 'false' : 'disabled' },
#        description : 'install the systemd-sysupdate tool')
# option('coredump', type : 'boolean',
#        description : 'install the coredump handler')
# option('pstore', type : 'boolean',
#        description : 'install the pstore archival tool')
# option('oomd', type : 'boolean',
#        description : 'install the userspace oom killer')
# option('logind', type : 'boolean',
#        description : 'install the systemd-logind stack')
# option('hostnamed', type : 'boolean',
#        description : 'install the systemd-hostnamed stack')
# option('localed', type : 'boolean',
#        description : 'install the systemd-localed stack')
# option('machined', type : 'boolean',
#        description : 'install the systemd-machined stack')
# option('portabled', type : 'boolean',
#        description : 'install the systemd-portabled stack')
# option('sysext', type : 'boolean',
#        description : 'install the systemd-sysext stack')
# option('userdb', type : 'boolean',
#        description : 'install the systemd-userdbd stack')
# option('homed', type : 'feature', deprecated : { 'true' : 'enabled', 'false' : 'disabled' },
#        description : 'install the systemd-homed stack')
# option('networkd', type : 'boolean',
#        description : 'install the systemd-networkd stack')
# option('default-network', type : 'boolean', value : false,
#        description : 'install default .network files')
# option('timedated', type : 'boolean',
#        description : 'install the systemd-timedated daemon')
# option('timesyncd', type : 'boolean',
#        description : 'install the systemd-timesyncd daemon')
# option('remote', type : 'feature', deprecated : { 'true' : 'enabled', 'false' : 'disabled' },
#        description : 'support for "journal over the network"')
# option('create-log-dirs', type : 'boolean',
#        description : 'create /var/log/journal{,/remote}')
# option('nss-myhostname', type : 'boolean',
#        description : 'install nss-myhostname module')
# option('nss-mymachines', type : 'feature', deprecated : { 'true' : 'enabled', 'false' : 'disabled' },
#        description : 'install nss-mymachines module')
# option('nss-resolve', type : 'feature', deprecated : { 'true' : 'enabled', 'false' : 'disabled' },
#        description : 'install nss-resolve module')
# option('nss-systemd', type : 'boolean',
#        description : 'install nss-systemd module')
# option('firstboot', type : 'boolean',
#        description : 'support for firstboot mechanism')
# option('randomseed', type : 'boolean',
#        description : 'support for restoring random seed')
# option('backlight', type : 'boolean',
#        description : 'support for restoring backlight state')
# option('vconsole', type : 'boolean',
#        description : 'support for vconsole configuration')
#        description : 'install the elogind-vmspawn tool')
# option('vmspawn', type : 'feature', deprecated : { 'true' : 'enabled', 'false' : 'disabled' },
# option('quotacheck', type : 'boolean',
#        description : 'support for the quotacheck tools')
# option('sysusers', type : 'boolean',
#        description : 'support for the sysusers configuration')
# option('storagetm', type : 'boolean',
#        description : 'support for Storage Target Mode')
# option('tmpfiles', type : 'boolean',
#        description : 'support for tmpfiles.d')
# option('importd', type : 'feature', deprecated : { 'true' : 'enabled', 'false' : 'disabled' },
#        description : 'install the systemd-importd daemon')
# option('hwdb', type : 'boolean',
#        description : 'support for the hardware database')
# option('rfkill', type : 'boolean',
#        description : 'support for the rfkill tools')
# option('xdg-autostart', type : 'boolean',
#        description : 'install the xdg-autostart-generator and unit')
#else // 0
option('efi', type : 'boolean',
       description : 'enable EFI support')
#endif // 0
option('man', type : 'feature', deprecated : { 'true' : 'enabled', 'false' : 'disabled' },
       value : 'disabled',
       description : 'build and install man pages')
option('html', type : 'feature', deprecated : { 'true' : 'enabled', 'false' : 'disabled' },
       value : 'disabled',
       description : 'build and install html pages')
option('translations', type : 'boolean', value : true,
       description : 'build and install translations')

#if 0 /// UNNEEDED by elogind
