=== debian/changelog ===
elogind (255.17-3) unstable; urgency=medium

  * d/rules: fix arm64 FTBFS with gcc 15. (Closes: #1110452)
  * d/control:
    - bump Standards Version (no changes).
    - drop Build-Depends: dbus. (Closes: #1122564)
    - utilise virtual packages for dbus runtime depends. (Closes: #1122564)

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 15 Dec 2025 09:38:16 +0000

elogind (255.17-2) unstable; urgency=medium

  * d/control:
    - change pkg-config Build-Depends to pkgconf.
    - bump debhelper-compat to 13.
  * d/rules: correct debhelper --remaining to --remaining-packages.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 21 Jan 2025 11:34:16 +0000

elogind (255.17-1) unstable; urgency=medium

  * New upstream version 255.17. Includes:-
    - Default to deep suspend and fix sleep.conf documentation
      (Closes: #1071964)
  * Drop patches included upstream.
  * d/copyright: remove extraneous semicolon (lintian).

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 14 Jan 2025 10:24:25 +0000

elogind (255.5-3) unstable; urgency=medium

  * libelogind-compat: move libsystemd.so.0 compatibility link to /usr (DEP17).
    (Closes: Debian#1061527)
  * d/elogind.init: start before $x-display-manager. (Closes: Debian#1077676)
  * d/elogind.init: fix typo in description.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 06 Aug 2024 07:14:48 +0100
