=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Mark Hindley <mark@hindley.org.uk>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://git.devuan.org/devuan/elogind.git -b devuan
 Vcs-Browser: https://git.devuan.org/devuan/elogind/tree/devuan
 Homepage: https://github.com/elogind/elogind
@@ -10,7 +10,7 @@
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-exec (>=0.3),
-               pkg-config,
+               pkgconf,
                docbook-xsl,
                meson,
                gperf (>= 3.1),
@@ -24,7 +24,6 @@
                libselinux1-dev,
                libmount-dev,
                libglib2.0-dev <!nocheck>,
-               dbus (>= 1.9.14) <!nocheck>,
 
 Package: elogind
 Section: admin
@@ -36,10 +35,10 @@
          ${misc:Depends},
          libudev1,
          libelogind0 (= ${binary:Version}),
-         dbus (>= 1.9.14)
+         default-dbus-system-bus | dbus-system-bus
 Recommends: libpam-elogind, polkitd
-Breaks: udev (<< 1:3.2.2+devuan1), runit-services-core-antix (<=0.1.6)
-Replaces: udev (<< 1:3.2.2+devuan1), runit-services-core-antix (<=0.1.6)
+Breaks: udev (<< 1:3.2.2+devuan1)
+Replaces: udev (<< 1:3.2.2+devuan1)
 Description: user, seat and session management daemon
  elogind is a session management daemon extracted from systemd project's
  "logind"
