=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,10 @@
 CONFFLAGS_CGROUPCTRL_ELOGIND= \
   -Dcgroup-controller=elogind
 
+ifeq ($(DEB_TARGET_ARCH),arm64)
+export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,gcs-report-dynamic=none
+endif
+
 override_dh_auto_configure:
 	dh_auto_configure --builddirectory=build \
         -- $(CONFFLAGS) $(CONFFLAGS_CGROUPCTRL_ELOGIND)
@@ -33,7 +37,7 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -pelogind -Xlibelogind-shared
-	#dh_makeshlibs --remaining
+	dh_makeshlibs --remaining-packages
 
 override_dh_shlibdeps:
 	dh_shlibdeps -- -xlibeudev1
